%define major	1
%define api_version 2.6

%define pkgname gconfmm
%define libname		%mklibname %pkgname %api_version %{major}
%define develname	%mklibname -d %pkgname %api_version

Name:	 	%{pkgname}%{api_version}
Summary: 	A C++ interface for GConf library
Version: 	2.28.3
Release: 	%mkrel 3
#gw lib is LGPL, tool is GPL
License: 	LGPLv2+ and GPLv2+
Group:   	System/Libraries
Source:  	ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.xz
Patch0:		gconfmm-2.12.0-64bit-fixes.patch
URL:     	http://gtkmm.sourceforge.net/
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.14.1
BuildRequires:	pkgconfig(gconf-2.0) >= 2.4.0
BuildRequires:	doxygen
BuildRequires:	gnome-common

%description
This package provides a C++ interface for GConf, a configuration data
storage mechanism to ship with GNOME.  It is a subpackage of the
gnomemm project, which provides a C++ interface for GNOME libraries.

%package	-n %{libname}
Summary:	%{summary}
Group:		%{group}

%description -n %{libname}
This package provides a C++ interface for GConf, a configuration data
storage mechanism to ship with GNOME.  It is a subpackage of the
gnomemm project, which provides a C++ interface for GNOME libraries.

%package	-n %develname
Summary:	Headers and development files of GConf 2 C++ wrapper
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libgconfmm%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%mklibname -d %pkgname %api_version 1

%description -n %develname
This package contains the headers and various development files needed,
when compiling or developing programs which want GConf 2 C++ wrapper.

%package	doc
Summary:	Documentation of %{pkgname} library
BuildArch:	noarch
Group:		Documentation

%description doc
This package provides API documentation of %{pkgname} library.


%prep
%setup -q -n %pkgname-%version
%patch0 -p1 -b .64bit-fixes

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x --disable-static
%make 

%install
rm -rf %{buildroot}
%makeinstall_std
find %buildroot -name *.la|xargs rm

%clean
rm -rf %{buildroot}

%files -n %{libname}
%doc COPYING.LIB
%{_libdir}/libgconfmm-%{api_version}.so.%{major}*

%files -n %develname
%doc AUTHORS COPYING.LIB ChangeLog NEWS README
%doc %_datadir/doc/gconfmm-%api_version
%doc %_datadir/devhelp/books/gconfmm-%api_version
%{_includedir}/*
%{_libdir}/%{pkgname}-%{api_version}
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%files doc
%doc docs/reference/html


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.28.3-3.mga3
+ Revision: 351118
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 2.28.3-2.mga3
+ Revision: 305602
- Documentation group

* Tue Oct 25 2011 fwang <fwang> 2.28.3-1.mga2
+ Revision: 157987
- new version 2.28.3
- br cairomm for documentatino generating
- regenerate relative files
- do not ship .la files

* Tue Feb 08 2011 ennael <ennael> 2.28.2-1.mga1
+ Revision: 48955
- imported package gconfmm2.6

